Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Class BridgePluginManager.PluginRegistration

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.BridgePluginManager.PluginRegistration

Enclosing class:
  BridgePluginManager

    public static class BridgePluginManager.PluginRegistration

extends Object

Constructor Summary
`BridgePluginManager.PluginRegistration(String pluginName, String toolTip, Icon icon, SWRLPluginGUIAdapter guiAdapter)`

Method Summary
`SWRLPluginGUIAdapter` | `getGUIAdapter()`
`Icon` | `getIcon()`
`OWLModel` | `getOWLModel()`
`String` | `getPluginName()`
`String` | `getToolTip()`
`boolean` | `hasOWLModel()`
`void` | `setOWLModel(OWLModel owlModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgePluginManager.PluginRegistration

    public BridgePluginManager.PluginRegistration(String pluginName,
                                                  String toolTip,
                                                  Icon icon,
                                                  SWRLPluginGUIAdapter guiAdapter)

Method Detail

### setOWLModel

    public void setOWLModel(OWLModel owlModel)

### getPluginName

    public String getPluginName()

### getToolTip

    public String getToolTip()

### getGUIAdapter

    public SWRLPluginGUIAdapter getGUIAdapter()

### getIcon

    public Icon getIcon()

### getOWLModel

    public OWLModel getOWLModel()

### hasOWLModel

    public boolean hasOWLModel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.